<?php

/**
 * @version    CVS: 1.0.0
 * @package    Com_Prod
 * @author     Jose <satjaisat@gmail.com>
 * @copyright  2023 Jose
 * @license    Licencia Pública General GNU versión 2 o posterior. Consulte LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use Joomla\CMS\Component\Router\RouterViewConfiguration;
use Joomla\CMS\Component\Router\RouterView;
use Joomla\CMS\Component\Router\Rules\StandardRules;
use Joomla\CMS\Component\Router\Rules\NomenuRules;
use Joomla\CMS\Component\Router\Rules\MenuRules;
use Joomla\CMS\Factory;
use Joomla\CMS\Categories\Categories;
//use Joomla\CMS\Component\Router\JComponentHelper;


/**
 * Class ProdRouter
 *
 */
class ProdRouter extends RouterView
{
	private $noIDs;
	public function __construct($app = null, $menu = null)
	{
		//$params = JComponentHelper::getComponent('com_prod')->params;
		//$this->noIDs = (bool) $params->get('sef_ids');
		
		
			$prods = new RouterViewConfiguration('prods');
		$this->registerView($prods);

		parent::__construct($app, $menu);

		$this->attachRule(new MenuRules($this));

		/*if ($params->get('sef_advanced', 0))
		{
			$this->attachRule(new StandardRules($this));
			$this->attachRule(new NomenuRules($this));
		}
		else
		{
			JLoader::register('ProdRulesLegacy', __DIR__ . '/helpers/legacyrouter.php');
			JLoader::register('ProdHelpersProd', __DIR__ . '/helpers/prod.php');
			$this->attachRule(new ProdRulesLegacy($this));
		}
		*/
	}


	

	
}
